Bug 471803 - NetworkManager: hibernate - no network connection
NetworkManager: hibernate - no network connection
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 12:10 EST by Flóki Pálsson
Modified: 2009-11-19 18:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 18:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
copy of /var/log/messages after hibernate (418.92 KB, text/plain)
2009-03-22 14:31 EDT, Flóki Pálsson
no flags Details
/var/log/messages nr 2 (642.47 KB, text/plain)
2009-04-07 19:49 EDT, Flóki Pálsson
no flags Details
form F11 /var/log/messages after hibernate and reboot + grub (1.15 MB, text/plain)
2009-04-07 20:30 EDT, Flóki Pálsson
no flags Details
output from dhclient ifconfig nm-tool (3.12 KB, text/plain)
2009-04-09 07:56 EDT, Flóki Pálsson
no flags Details
Root - dhclient mii-tool (1.77 KB, text/plain)
2009-04-09 11:11 EDT, Flóki Pálsson
no flags Details
Root ethtool (1.23 KB, text/plain)
2009-04-09 11:32 EDT, Flóki Pálsson
no flags Details
/var/log/messages after hibernate and normal booting (890.08 KB, text/plain)
2009-11-11 18:58 EST, Flóki Pálsson
no flags Details
changed wiring now eth0 gedit /var/log/messages & (569.88 KB, text/plain)
2009-11-11 19:28 EST, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2008-11-16 12:10:03 EST
Description of problem:
After hibernate there is no  network connection with NetworkManager.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.11.svn4229.fc10.x86_64
kernel-2.6.27.5-109.fc10.x86_64



How reproducible:
Always


Steps to Reproduce:
1.
 hibernate 
2.
restart 
3.
  
Actual results:
No network connection with NetworkManager.

Expected results:
Network connection with NetworkManager as after reboot.



Additional info:
This error is in FC9 too.
After  hibernate mouse is not responding poorly.
Icons in menus are longer to be seen. 
Running Gnome. 
I can not activate network connection after hibernate
Comment 1 Bug Zapper 2008-11-26 00:28:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dan Williams 2009-02-13 08:03:24 EST
Does this still happen with latest update kernels?  This is highly kernel and driver dependent and likely to get better with updates.  If it's still a problem, can you attach your  /var/log/messages so we can diagnose further?
Comment 3 Flóki Pálsson 2009-03-22 14:31:27 EDT
Created attachment 336216 [details]
copy of /var/log/messages after hibernate 

Same result. No  network connection with NetworkManager.

NetworkManager-0.7.0.99-3.fc10.x86_64
kernel-2.6.27.19-170.2.35.fc10.x86_64

Additional info:
Mouse is very slow. System is slow.
Comment 4 Niels Haase 2009-04-07 16:18:49 EDT
Reporter, are you still running Fedora 10, or have you upgraded to Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the kernel and NM packages you're using. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Flóki Pálsson 2009-04-07 19:49:36 EDT
Created attachment 338626 [details]
/var/log/messages nr 2 

Yes 
NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64
kernel-2.6.27.21-170.2.56.fc10.x86_64
Comment 6 Flóki Pálsson 2009-04-07 20:30:39 EDT
Created attachment 338636 [details]
form F11 /var/log/messages after hibernate and reboot + grub

In F11 
After hibernate I can not log in.  Log in window is grayed out.
Atthachment is after hibernate and reboot.  There is also my grub file for F11. 
NetworkManager-0.7.0.100-1.fc11.x86_64
kernel-2.6.29.1-46.fc11.x86_64
Comment 7 Dan Williams 2009-04-08 21:45:56 EDT
After NM has failed, can you:

dhclient -1 -d eth0

and see if DHCP is successful?

Also when in this state, grab the output of:

ifconfig eth0
nm-tool
Comment 8 Flóki Pálsson 2009-04-09 07:56:25 EDT
Created attachment 338891 [details]
output from dhclient ifconfig nm-tool
Comment 9 Dan Williams 2009-04-09 09:30:34 EDT
Ah, can you run dhclient as root then, either with "su -" to become root, or "sudo /sbin/dhclient -1 -d eth0"?

NetworkManager detects your carrier as "off".  Could you also (when the cable is supposedly plugged in!!) grab the output of (both as root again):

/sbin/ethtool eth0
/sbin/mii-tool eth0

Thanks!
Comment 10 Flóki Pálsson 2009-04-09 11:11:28 EDT
Created attachment 338930 [details]
Root - dhclient mii-tool
Comment 11 Flóki Pálsson 2009-04-09 11:32:13 EDT
Created attachment 338933 [details]
Root ethtool
Comment 12 Niels Haase 2009-04-10 18:36:32 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Dan Williams 2009-10-16 15:28:46 EDT
Could you try this update?  It fixes a specific bug with carrier detection:

https://admin.fedoraproject.org/updates/NetworkManager-0.7.1.997-1.fc10,mobile-broadband-provider-info-1.20090918-1.fc10?_csrf_token=4a9d08a8e7454b749cd8a0339c3cab4de1699810

Click the "Builds" link for NetworkManager near the top to download the packages.
Comment 14 Flóki Pálsson 2009-10-20 20:34:09 EDT
#13 
>Could you try this update?  It fixes a specific bug with carrier detection:
I am not using F10 on x86_64.  I would have to install again.
I am using f10 on laptop ( 32 bit) but there hibernate does not work.
I nobody does then I will do it.
Comment 15 Flóki Pálsson 2009-11-02 13:28:27 EST
Same result. No  network connection with NetworkManager after Hibernate.

I used updates testing in F10 to update.

[floki@flokia Download]$ rpm -qa | grep NetworkManager
NetworkManager-vpnc-0.7.0.99-1.fc10.x86_64
NetworkManager-0.7.1.997-1.fc10.x86_64
NetworkManager-gnome-0.7.1.997-1.fc10.x86_64
NetworkManager-openvpn-0.7.0.99-1.fc10.x86_64
NetworkManager-glib-0.7.1.997-1.fc10.x86_64
NetworkManager-glib-0.7.1.997-1.fc10.i386
Comment 16 Flóki Pálsson 2009-11-05 15:11:36 EST
Same result. No  network connection with NetworkManager after Hibernate.
I used updates testing in F10 to update.

[floki@flokia ~]$ rpm -qa | grep NetworkManager
NetworkManager-vpnc-0.7.0.99-1.fc10.x86_64
NetworkManager-glib-0.7.1.998-1.fc10.x86_64
NetworkManager-gnome-0.7.1.998-1.fc10.x86_64
NetworkManager-0.7.1.998-1.fc10.x86_64
NetworkManager-glib-0.7.1.998-1.fc10.i386
NetworkManager-openvpn-0.7.0.99-1.fc10.x86_64
Comment 17 Dan Williams 2009-11-10 19:11:26 EST
(In reply to comment #16)
> Same result. No  network connection with NetworkManager after Hibernate.
> I used updates testing in F10 to update.
> 
> [floki@flokia ~]$ rpm -qa | grep NetworkManager
> NetworkManager-vpnc-0.7.0.99-1.fc10.x86_64
> NetworkManager-glib-0.7.1.998-1.fc10.x86_64
> NetworkManager-gnome-0.7.1.998-1.fc10.x86_64
> NetworkManager-0.7.1.998-1.fc10.x86_64
> NetworkManager-glib-0.7.1.998-1.fc10.i386
> NetworkManager-openvpn-0.7.0.99-1.fc10.x86_64  

Can you grab me a new /var/log/messages when this happens again?  I looked at the logs from comment #3 and looks fine; NM appears to get an IP address on eth0 when waking up at Mar 17 21:28:05.

On Mar 22 18:13:11, after waking up eth0 isn't plugged in (according to the kernel) and but apparently eth1 is, so NM tries to bring up eth1 but DHCP fails there.  It looks like eth1 never gets a link according to the kernel.

Both times when eth1 gets activated, the kernel says "kernel: r8169: eth1: link up" which indicates to NM that the device is up and available for activation.  Is eth1 really connected to anything when waking up?
Comment 18 Flóki Pálsson 2009-11-11 18:58:42 EST
Created attachment 369115 [details]
/var/log/messages after hibernate and normal booting 

(In reply to comment #17)

>Can you grab me a new /var/log/messages when this happens again? 
See Attachment. 
there is log after hibrenate and after normal booting. 
 

>Is eth1 really connected to anything when waking up?  
There is no change in wiring.

This is F10 live fully updated with updates testing 
( ecept libnetfilter_conntrack-0.0.97-1.fc10.x86_64)
Comment 19 Flóki Pálsson 2009-11-11 19:28:55 EST
Created attachment 369116 [details]
changed wiring now eth0  gedit /var/log/messages &

If I change wiring for router and use eth0 instead of eth1. Then there is net connection after hibernate.  See attachment  /var/log/messages.
It seams that everything is working fine.   
I just installed f10 and updated using update test.
Comment 20 Bug Zapper 2009-11-18 03:52:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Dan Williams 2009-11-19 18:53:34 EST
Wow, quite odd.  I believe kernel driver bugs are to blame here since eth1 doesn't work but eth0 does.  Thanks for the report.  If you can, give Fedora 12 a try too and if the bug in the ethernet driver isn't fixed there, please report it so it can get fixed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.